# UseSpecialParser

Selects the special parser tailored for default UNIX socket format.

This parameter applies to imuxsock: Unix Socket Input Module.

Name:

  UseSpecialParser

Scope:

  input

Type:

  boolean

Default:

  input=on

Required?:

  no

Introduced:

  8.9.0

## Description

Equivalent to the `SysSock.UseSpecialParser` module parameter, but applies to the input that is being defined.

Added in version 8.9.0: The setting was previously hard-coded “on”

## Input usage

    input(type="imuxsock" useSpecialParser="off")

## See also

See also imuxsock: Unix Socket Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.